"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'movietorrent',
    name: 'MovieTorrent',
    description: 'MovieTorrent is a Public site for Bollywood, Hollywood, Hindi Dubbed, Tamil , Punjabi, Pakistani MOVIES',
    language: 'en-US',
    type: 'public',
    encoding: 'UTF-8',
    links: ['https://movietorrent.co/'],
    caps: {
        categorymappings: [
            { id: '1', cat: 'Movies', desc: 'Bollywood' },
            { id: '2', cat: 'Movies/HD', desc: '1080p' },
            { id: '3', cat: 'Movies/HD', desc: '2016' },
            { id: '4', cat: 'Movies/HD', desc: '2017' },
            { id: '6', cat: 'Movies/HD', desc: '2018' },
            { id: '7', cat: 'Movies/HD', desc: '720p' },
            { id: '8', cat: 'Movies/HD', desc: '480p' },
            { id: '9', cat: 'Movies/HD', desc: 'Action' },
            { id: '10', cat: 'Movies', desc: 'Adventure' },
            { id: '11', cat: 'Movies', desc: 'Animation' },
            { id: '14', cat: 'Movies', desc: 'Comedy' },
            { id: '15', cat: 'Movies', desc: 'Crime' },
            { id: '18', cat: 'Movies', desc: 'Drama' },
            { id: '19', cat: 'Movies', desc: 'Dubbed' },
            { id: '23', cat: 'Movies', desc: 'Hindi' },
            { id: '26', cat: 'Movies', desc: 'Hollywood' },
            { id: '27', cat: 'Movies', desc: 'Horror' },
            { id: '32', cat: 'Movies', desc: 'Pakistani' },
            { id: '35', cat: 'Movies', desc: 'Punjabi' },
            { id: '36', cat: 'Movies', desc: 'Religious' },
            { id: '38', cat: 'Movies', desc: 'Romance' },
            { id: '42', cat: 'Movies', desc: 'Sport' },
            { id: '44', cat: 'Movies', desc: 'Superhero' },
            { id: '47', cat: 'Movies', desc: 'Tamil Telugu' },
            { id: '48', cat: 'Movies', desc: 'Thriller' },
            { id: '49', cat: 'Movies', desc: 'Trending' },
            { id: '53', cat: 'Movies/WEB-DL', desc: 'Web Series' },
            { id: '59', cat: 'Movies', desc: '2019' },
            { id: '5143', cat: 'Movies', desc: '2012' },
            { id: '5247', cat: 'Movies', desc: '2015' },
            { id: '8758', cat: 'Movies', desc: '2020' },
            { id: '8808', cat: 'Movies', desc: '2013' },
            { id: '8809', cat: 'Movies', desc: '2014' },
            { id: '9938', cat: 'Movies', desc: 'Turkish Dramas' },
            { id: '10293', cat: 'Movies', desc: '2021' },
        ],
        modes: { search: ['q'], 'tv-search': ['q'], 'movie-search': ['q'] },
    },
    settings: [],
    download: {
        selector: 'a[href^="magnet:?xt="]',
        attribute: 'href',
        filters: [
            {
                name: 'append',
                args: '&tr=udp%3A%2F%2Ftracker.coppersurfer.tk%3A6969%2Fannounce&tr=udp%3A%2F%2Ftracker.leechers-paradise.org%3A6969%2Fannounce&tr=udp%3A%2F%2Fopen.stealth.si%3A80%2Fannounce&tr=udp%3A%2F%2Fexodus.desync.com%3A6969&tr=udp%3A%2F%2Fp4p.arenabg.com%3A1337%2Fannounce&tr=udp%3A%2F%2Fexplodie.org%3A6969%2Fannounce&tr=udp%3A%2F%2Ftracker.opentrackr.org%3A1337%2Fannounce&tr=udp%3A%2F%2Ftracker.tiny-vps.com%3A6969%2Fannounce&tr=udp%3A%2F%2Fopen.demonii.si%3A1337%2Fannounce&tr=udp%3A%2F%2Ftracker.torrent.eu.org%3A451%2Fannounce&tr=udp%3A%2F%2Ftracker.pirateparty.gr%3A6969%2Fannounce&tr=udp%3A%2F%2Fipv4.tracker.harry.lu%3A80%2Fannounce&tr=udp%3A%2F%2Ftracker.cyberia.is%3A6969%2Fannounce&tr=udp%3A%2F%2F9.rarbg.to%3A2710%2Fannounce&tr=udp%3A%2F%2Fdenis.stalker.upeer.me%3A6969%2Fannounce',
            },
        ],
    },
    search: {
        paths: [
            { path: '?s={{ .Keywords }}' },
            { path: '/page/2/?s={{ .Keywords }}' },
            { path: '/page/3/?s={{ .Keywords }}' },
        ],
        rows: {
            selector: 'article:has(h2)',
            filters: [{ name: 'andmatch' }],
        },
        fields: {
            category: {
                selector: 'span.term-badge',
                attribute: 'class',
                filters: [{ name: 'regexp', args: '(\\d+)' }],
            },
            title: {
                selector: 'h2',
                filters: [
                    { name: 'replace', args: ['Full Movie ', ''] },
                    { name: 'replace', args: ['Torrent Magnet ', ''] },
                    { name: 'replace', args: ['Download ', ''] },
                ],
            },
            details: { selector: 'h2 > a', attribute: 'href' },
            download: { selector: 'h2 > a', attribute: 'href' },
            poster: { selector: 'a[data-src]', attribute: 'data-src' },
            date: { selector: 'time', attribute: 'datetime' },
            size: { text: '5 GB' },
            seeders: { text: 1 },
            leechers: { text: 1 },
            downloadvolumefactor: { text: 0 },
            uploadvolumefactor: { text: 1 },
        },
    },
    source: 'jackett',
};
